var station1 = getNode('station1');
var station2 = getNode('station2');
var timetable = getNode('timetable');
var timerNode = getNode('timer');
var refreshNode = getNode('refresh');

var list = ['', 'SŁUPSK', 'Jezierzyce Słup.', 'Damnica', 'Strzyżyno Słup.', 'Głuszyno Pom.',
			'Potęgowo', 'Pogorzelice', 'Leśnice', 'LĘBORK', 'Godętowo', 'Bożepole Wielkie',
			'Strzebielino Morskie', 'Luzino', 'Gościcino Wejherowskie', 'WEJHEROWO',
			'Wejherowo Nanice','Wejherowo Śmiechowo', 'Reda Pieleszowo', 'REDA', 'RUMIA',
			'Rumia Janowo', '', 'Gdy.Elektrowozownia', 'Gdynia Cisowa', 'GDYNIA CHYLONIA',
			'Gdynia Leszczynki', 'Gdynia Grabówek', 'Gdynia Stocznia', 'GDYNIA GŁÓWNA',
			'G.Wzg.Św.Maksym.', 'Gdynia Redłowo', 'Gdynia Orłowo', 'Sopot Kam. Potok',
			'SOPOT', 'Sopot Wyścigi', 'Gdańsk Żabianka', 'GDAŃSK OLIWA', 'Gd.Przym-Uniwer.',
			'Gdańsk Zaspa', 'GDAŃSK WRZESZCZ', 'Gdańsk Politechnika', 'Gdańsk Stocznia',
			'GDAŃSK GŁÓWNY', '', 'Gdańsk Orunia', 'Gdańsk Lipce', 'Pruszcz Gdański', 'Cieplewo',
			'Różyny', 'Skowarcz', 'Pszczółki', 'Miłobądz', 'TCZEW'
			];
var xmlhttprequest = null;
var timer = -1;
var timerTick = 1;	

function onLoad() {
    var stationItem1 = getStoredValue('Item1');	//stacja konc
	var stationItem2 = getStoredValue('Item2');	//stacja pocz
	if(stationItem1 && stationItem2) {
		var name1 = list[stationItem1];
		var name2 = list[stationItem2];
		setStr(station1, 'Z: ' + name2);
		setStr(station2, 'Do: ' + name1);
		createReq();
	} else {
		setStr(station1, 'Ustaw stację początkową');
		setStr(station2, 'Ustaw stację końcową');
	}
	timer = setInterval(createReq, 1000);
}

function onFocus() {

}

function onUnfocus() {

}

function onActivate() {	

}

function onReadyStateChange() {	
	if(xmlhttprequest.readyState == 4) {		
		setStr(refreshNode, '');
		var xmlDom = xmlhttprequest.responseXML;		
		var items = xmlDom.getElementsByTagName('time');
		if(!items || items.length == 0) {
			setStr(timetable, 'Błąd pobrania danych');
			alert('Błąd pobrania danych');
			return;
		}
		var out = '';
		for(var i = 0; i < items.length; i++) {
			out = out + ' ' + items[i].nodeValue;
		}
		setStr(timetable, out);			
	}
}

function onUpKey() {

}

function onDownKey() {

}

function onRightKey() {
 
}

function onLeftKey() {

}

function onConfirmKey(type) {

}

function onBlueKey() {

}

function onRedKey() {

}

function onGreenKey() {

}

function onYellowKey() {

}

function createReq() {
	var stationItem1 = getStoredValue('Item1');	//stacja konc
	var stationItem2 = getStoredValue('Item2');	//stacja pocz
	if(stationItem1 && stationItem2) {
		setStr(timerNode, 'Odświeżanie za ' + timerTick + ' sek');
		timerTick--;	
		if(timerTick <= 0) {
			setStr(refreshNode, 'Odświeżanie');
			xmlhttprequest = new XMLHttpRequest();
			xmlhttprequest.onreadystatechange = onReadyStateChange;
			xmlhttprequest.open('GET', 'http://www.devrise.com/main/devbox/get/skm/' + stationItem2 + '/' + stationItem1 + '/AAAA', true);
			xmlhttprequest.send(null);
			timerTick = 60;
		}
	}
}

